Subject: Re: [Gen-art] Genart last call review of draft-ietf-bfd-vxlan-07

From: Greg Mirsky <[email-masked]>
Date: Tue, 4 Jun 2019 13:40:26 -0700

Hi Erik,
thank you for your review, pointed questions, and helpful suggestions.
Please find responses in-lined tagged GIM>>.

Regards,
Greg

On Mon, May 27, 2019 at 1:35 PM Erik Kline via Datatracker <[email-masked]>
wrote:

> Reviewer: Erik Kline
> Review result: On the Right Track
>
> I am the assigned Gen-ART reviewer for this draft. The General Area
> Review Team (Gen-ART) reviews all IETF documents being processed
> by the IESG for the IETF Chair.  Please treat these comments just
> like any other last call comments.
>
> For more information, please see the FAQ at
>
> <https://trac.ietf.org/trac/gen/wiki/GenArtfaq>.
>
> Document: draft-ietf-bfd-vxlan-07
> Reviewer: Erik Kline
> Review Date: 2019-05-27
> IETF LC End Date: 2019-05-31
> IESG Telechat date: Not scheduled for a telechat
>
> Summary:
>
> If my understanding is correct (which it may well not be), this document
> places restrictions on the inner Ethernet and IP layer deployment that
> previously may not have been present.
>
> My reading if this document is that the outer IP header and the inner IP
> header have the same VTEP src and dst IPs.  The outer and inner Ethernet
> headers have the same source MAC and may have the same dst MAC. Is this
> correct?
>
GIM>> I think that you're right in regard to IP headers. Because the VXLAN
packet is routed at the Layer 3 and not switched on the Layer 2, the DA MAC
of the outer Ethernet header is the MAC of the Next Hop underlay router,
not of the VTEP.

>
> If so, this would mean that the VTEP's MAC address (or the special dest
> MAC)
> cannot be used within the VXLAN network (or at least not on the same host.
>
GIM>> The dedicated MAC is to be used only as of the DA MAC in the inner
Ethernet frame that includes a BFD control message.

> Similarly, it appears that the VTEP's IP addresses are no longer free to
> be used within the encapsulated VXLAN VNI. Do I understand this correctly?
> Was this always the case?
>
GIM>> I believe that this specification does not add any new restrictions
on how VTEPs IP addresses may be used.

>
> If there is a document defining restrictions that VTEPs place on the
> inner VXLAN segment, that might be good to reference.
>
> Failing that, I think I would like to see some discussion of alternatives
> that were rejected with reasons behind their rejection.
>
GIM>> Alternative encapsulations of BFD control message in VXLAN? I don't
recall such discussions because the presented encapsulation of a BFD
control message in VXLAN is pretty much the only possible way to do that
given that VXLAN supports only Ethernet frames as its native payload. Thus
anything must be Ethernet-encapsulated in VXLAN tunnels.

>
> One possible solution might be to use "impossible" Ethernet addresses and
> "impossible" IP addresses in the inner packet.  For example, a source
> IP address of all ones or all zeros would be very unlikely to ever be a
> valid IP packet.  I'm not 100% sure, but I suspect that a source MAC of
> all ones would also never really be treated as valid.  Clever use of
> multicast IP and Ethernet addresses in the source fields might also be
> sufficient to render the inner packet "invalid" in the sense that it would
> never collide with legitimate traffic.
>
GIM>> Not using the real source IP address in the encapsulation of a BFD
control message in VXLAN may create an attack vector and require an
additional mechanism to bootstrap a BFD session between two VTEPs.

>
> If I have misread this document, or VTEPs are already placing constraints
> on the inner VXLAN environment similar to those above, then this review
> should instead be treated as "Ready with Nits".
>
> Major issues:
>
> Only my concern/misunderstanding described above.
>
> Minor issues:
>
> None.
>
> Nits/editorial comments:
>
> * The document generally does a really good job of Expanding Acronyms
>   At First Use (EAAFU) -- very much appreciated. In section 1 though,
>   NVE is used without accompanying expansion, I think.
>
GIM>> Thank you. Updated the working version with the added expansion
as Network Virtualization Endpoint.

>
> * There is no 4.2 so maybe sections 4 and 4.1 could just be section 4.
>
GIM>> Agreed. Minor editorial changes to the first paragraph of Section 4.